/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.getSymbol("pop_1").play(1);
         sym.getSymbol("titular").play(1);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("entrada").fadeOut("slow");
         sym.$("cuerpo").fadeOut("slow");
         sym.$("handmouse_1").fadeOut("slow");
         sym.$("handmouse_2").fadeOut("slow");
         sym.$("handmouse").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.getSymbol("pop_2").play(1);
         sym.getSymbol("entrada").play(1);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("titular").fadeOut("slow");
         sym.$("cuerpo").fadeOut("slow");
         sym.$("handmouse_1").fadeOut("slow");
         sym.$("handmouse_2").fadeOut("slow");
         sym.$("handmouse").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_3}", "click", function(sym, e) {
         sym.getSymbol("pop_3").play(1);
         sym.getSymbol("cuerpo").play(1);
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("titular").fadeOut("slow");
         sym.$("entrada").fadeOut("slow");
         sym.$("handmouse_1").fadeOut("slow");
         sym.$("handmouse_2").fadeOut("slow");
         sym.$("handmouse").fadeOut("slow");
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'bg'
   (function(symbolName) {   
   
   })("bg");
   //Edge symbol end:'bg'

   //=========================================================
   
   //Edge symbol: 'cuerpo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("cuerpo");
   //Edge symbol end:'cuerpo'

   //=========================================================
   
   //Edge symbol: 'entrada'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("entrada");
   //Edge symbol end:'entrada'

   //=========================================================
   
   //Edge symbol: 'titular'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("titular");
   //Edge symbol end:'titular'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar2}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("entrada").fadeIn("slow");
         sym.getComposition().getStage().$("cuerpo").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse_1").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse_2").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("titular").playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("titular").fadeIn("slow");
         sym.getComposition().getStage().$("cuerpo").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse_1").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse_2").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("entrada").playReverse();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar4}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("titular").fadeIn("slow");
         sym.getComposition().getStage().$("entrada").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse_1").fadeIn("slow");
         sym.getComposition().getStage().$("handmouse_2").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("cuerpo").playReverse();
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'linea_1'
   (function(symbolName) {   
   
   })("linea_1");
   //Edge symbol end:'linea_1'

   //=========================================================
   
   //Edge symbol: 'linea_2'
   (function(symbolName) {   
   
   })("linea_2");
   //Edge symbol end:'linea_2'

   //=========================================================
   
   //Edge symbol: 'linea_3'
   (function(symbolName) {   
   
   })("linea_3");
   //Edge symbol end:'linea_3'

})(jQuery, AdobeEdge, "EDGE-94063035");